<?xml version="1.0"?>

<?xml-stylesheet href="chrome://global/skin/" type="text/css"?>



<window
  id    = "simple"
  title = "天使女神经  大天使之剑唯一全功能辅助-非封包不封号，非按键超稳定！ 官方网址:http://www.5dqj.com/"
  xmlns = "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" height="100%" 
  sizemode = "maximized"  xmlns:html="http://www.w3.org/1999/xhtml">
	

  <!--<script src="chrome://simple/content/debug.js"/>-->
  <script src="chrome://simple/content/file.js"/>
  <script src="chrome://simple/content/base64.js"/>
  <script src="chrome://simple/content/simple.js"/>
  
	
	
	<toolbox id="toolbox" style="display:none">
	  <toolbar >

			<toolbarbutton  id="Startbutton" label="开始挂机" oncommand="simple.onStartButtonClick();" />
			 <toolbarseparator />
			
			<toolbarbutton  label="设置" popup="cfgdlg" id="Cfgbutton" style="display:none" />
			<toolbarbutton  label="信息" popup="infodlg" />
			<toolbarbutton   label="自动登陆设置" popup="autologinset"  id="Autologinbutton" />
			<toolbaritem>
				<checkbox label="显示日志(会多占用cpu)" checked="true"  id="ShowLog"/>
			 </toolbaritem> 
	  </toolbar>
	</toolbox>
	
		
	
	<hbox id="urlenter" style="max-height:1px;overflow:hidden">
		
		<textbox  id="textbox" value="" flex="1" placeholder="选择运营商或在这里输入地址"/>
		<button   label="打开地址" oncommand="simple.onGoButtonClick();"/>
		<button label="刷新" oncommand="simple.onReFlashButtonClick();"/>
		<button label="返回选择运营商列表" oncommand="simple.onBackIndex();"/>
		
	</hbox>
	<hbox flex="1">
		<browser id="br" type="content-primary" src="about:blank" flex="1"/>
		<panel  id="cfgdlg" backdrag="true"  noautohide="true" titlebar="normal" close="false" level="parent">
			<vbox>
				
				<tabbox selectedIndex="0">
				  <tabs>
					<tab label="基本设置" />
					<tab label="任务设置"/>
					<tab label="副本设置"/>
					<tab label="挂机设置"/>
					<tab label="买卖设置"/>			
					<tab label="BOSS设置"/>
					
							
					
				  </tabs>
				  <tabpanels style="">
					<tabpanel>
						
						<groupbox flex="1">
							<caption label="运行设置"/>
							
							<vbox>		
							<checkbox label="进入游戏后自动开始挂机" checked="false" class="cfg" id="botcfg.system.autostart"/>
							
							<checkbox label="屏蔽游戏效果" checked="false" class="cfg" id="botcfg.globalset.cfg.clearmode"/>
							
							<checkbox label="自动重连" checked="false" class="cfg" id="botcfg.system.autoreconnect"/>
							
							<hbox>		
							<label value="每隔" style=""/>
							<textbox class="cfg" id="botcfg.system.flashtils" multiline="false" rows="1" width="50px" type="number" hidespinbuttons="true"/>
							<label value="分钟刷新一次游戏()" style=""/>	
							</hbox>
							<textbox  multiline="true"   width="100px" rows="4" disabled="true" hidespinbuttons="true" readonly="true" value="如果你的游戏服务器比较稳定那么可以设置长一点，如果不是那么请设置短一点，建议设置1个小时，辅助重新上线后会接着做之前的事情，如果你要跑任务也请设置短点" />
							</vbox>
						</groupbox>
						<groupbox flex="1">
							<caption label="离线经验"/>					
							<vbox>
							<checkbox label="自动领取离线经验" checked="false" class="cfg" id="botcfg.globalset.cfg.offlineexpenable"/>
							
							<checkbox label="使用金币领取双倍经验" checked="false" class="cfg" id="botcfg.globalset.cfg.usemoneyexp"/>
							
							<checkbox label="使用钻石领取五倍经验" checked="false" class="cfg" id="botcfg.globalset.cfg.usegoldexp"/>
							</vbox>
						</groupbox>
						<groupbox flex="1">
							<caption label="签到领奖"/>
							<vbox>
							<checkbox label="自动签到" checked="false" class="cfg" id="botcfg.globalset.cfg.autosign"/>
							
							<checkbox label="领取签到奖励" checked="false" class="cfg" id="botcfg.globalset.cfg.autogetsignreward"/>
									
							<checkbox label="领取活力奖励" checked="false" class="cfg" id="botcfg.globalset.cfg.livenessreward"/>
							</vbox>
						</groupbox>
					</tabpanel>
					<tabpanel>
						
			
						<groupbox flex="1">	
							<caption label="任务设置"/>
							<vbox>					
								<checkbox label="自动主线任务" checked="false" class="cfg" id="botcfg.maingametask.Enable"/>
							
								<checkbox label="自动日常跑环任务" checked="false" class="cfg" id="botcfg.dailygametask.Enable"/>
							</vbox>
						</groupbox>
						
						
					</tabpanel>
					<tabpanel>				
						<vbox flex="1">
							<hbox flex="1">
							<vbox flex="1">
							<groupbox flex="1">	
								<caption label="赤色要塞"/>
								<vbox>					
									<checkbox label="自动进入赤色要塞" checked="false" class="cfg" id="botcfg.chiseyaosai.Enable"/>
								
									<checkbox label="仅在别人攻击我的时候反击" checked="false" class="cfg" id="botcfg.chiseyaosai.cfg.onlyFightBack"/>
								</vbox>
							</groupbox>
							<groupbox flex="1">	
								<caption label="精英挑战"/>
								<vbox>					
									<checkbox label="自动进入精英挑战" checked="false" class="cfg" id="botcfg.jingyintiaozhan.Enable"/>
								
									<hbox>					
										<label value="角色战斗力高于精英怪物战斗力" style=""/>
										<textbox class="cfg" id="botcfg.jingyintiaozhan.cfg.fightpowerhigh" multiline="false" rows="1" width="50px" type="number" hidespinbuttons="true"/>
										<label value="点时，进入战斗" style=""/>	
									</hbox>	
								
									<checkbox label="使用金币领取奖励" checked="false" class="cfg" id="botcfg.jingyintiaozhan.cfg.usemoney"/>
								
									<checkbox label="使用钻石领取奖励" checked="false" class="cfg" id="botcfg.jingyintiaozhan.cfg.usegold"/>
								</vbox>	
								
							</groupbox>
							</vbox>
							<vbox flex="1">
							<groupbox flex="1">	
								<caption label="血色城堡"/>
								<vbox>					
									<checkbox label="自动进入血色城堡" checked="false" class="cfg" id="botcfg.emo.Enable"/>
								
									<checkbox label="门票不足自动合成(请确保有玛雅石)" checked="false" class="cfg" id="botcfg.emo.cfg.autohecheng"/>
								
									<checkbox label="合成材料不足自动购买" checked="false" class="cfg" id="botcfg.emo.cfg.autobuy"/>
								</vbox>	
							</groupbox>
							<groupbox flex="1">	
								<caption label="恶魔广场"/>
								<vbox>					
									<checkbox label="自动进入恶魔广场" checked="false" class="cfg" id="botcfg.xuese.Enable"/>
								
									<checkbox label="门票不足自动合成(请确保有玛雅石)" checked="false" class="cfg" id="botcfg.xuese.cfg.autohecheng"/>
								
									<checkbox label="合成材料不足自动购买" checked="false" class="cfg" id="botcfg.xuese.cfg.autobuy"/>
								</vbox>	
							</groupbox>
							</vbox>
							</hbox>
							<groupbox flex="1">	
								<caption label="狼魂要塞"/>
								<vbox>					
									<checkbox label="自动进入狼荤要塞" checked="false" class="cfg" id="botcfg.langhunyaosai.Enable"/>
								</vbox>					
							</groupbox>
						</vbox>
					</tabpanel>
					<tabpanel>
						<groupbox flex="1">	
							<caption label="挂机设置"/>
							<hbox>
								<vbox style="">
													
									<checkbox label="开启自动挂机" checked="false" class="cfg" id="botcfg.guaji.Enable"/>
											
									<checkbox label="被PK自动反击" checked="false" class="cfg" id="botcfg.guaji.cfg.autofightback"/>
									
									<checkbox label="屠杀模式" checked="false" class="cfg" id="botcfg.guaji.cfg.killermode"/>
									<textbox  multiline="true"  width="150px"   rows="2" disabled="true" hidespinbuttons="true" readonly="true" value="屠杀模式只要玩家进入我的挂机范围就开始砍他" />
									<checkbox label="追击模式" checked="false" class="cfg" id="botcfg.guaji.cfg.huntmode"/>
									<textbox  multiline="true"  width="150px"  rows="3" disabled="true"  hidespinbuttons="true" readonly="true" value="追击模式是一旦开始和一个玩家PK,那么一直砍到他死或者消失,不选则赶出挂机范围就回去挂机" />
									
									
									
									
								</vbox>
								<vbox flex="1">
									<groupbox flex="1">	
									<toolbox>
									  <toolbar >
											<toolbaritem>
												<label value="新增坐标" style=""/>
											</toolbaritem> 
											<toolbaritem>
												<menulist label="地图" id="maplist" style="margin-top:-3px">
													<menupopup>
													
													</menupopup>
												</menulist>
											</toolbaritem> 												
											<toolbaritem>
												<label value="x" style=""/>
											</toolbaritem> 
											<toolbaritem>
												<textbox  multiline="false" rows="1" width="25px" type="number" hidespinbuttons="true" id="mapx" />
											</toolbaritem> 
											<toolbaritem>
												<label value="y" style=""/>
											</toolbaritem> 
											<toolbaritem>
												<textbox  multiline="false" rows="1" width="25px" type="number" hidespinbuttons="true" id="mapy" />
											</toolbaritem> 
											 <toolbarseparator />
											<toolbarbutton  label="增加坐标" oncommand="simple.AddGuajiPoint();" />
											  <toolbarseparator />
											  <toolbarbutton  label="清空列表" oncommand="simple.ClearGuajiPoint();" />
											  <toolbarseparator />
											  <toolbarbutton   label="删除所选" oncommand="simple.DelGuajiPoint();" />
											  <toolbarseparator />
											
									  </toolbar>
									</toolbox>
								
									<listbox id="botcfg.guaji.cfg.pos" rows="10" width="100%" class="cfg" seltype="multiple">
									  <listhead>
										<listheader label="地图" width="240" id="mapname" />
										<listheader label="X" width="100"  id="x"/>
										<listheader label="Y" width="100" id="y"/>
									  </listhead>
									  <listcols>
										
										<listcol flex="1"/>
										<listcol/>
										<listcol/>
									  </listcols>
									</listbox>		
									<hbox>					
										<label value="每隔" style=""/>
										<textbox class="cfg" id="botcfg.guaji.cfg.changepostils" multiline="false" rows="1" width="50px" type="number" hidespinbuttons="true"/>
										<label value="分钟切换一次挂机点" style=""/>	
									</hbox>	
									<textbox  multiline="true"  style="width:100%"  width="100%" rows="2" disabled="true"  hidespinbuttons="true" readonly="true" value="挂机点列表,不配置则使用游戏推荐坐标,配置地图，坐标填0，则在该地图上随机打怪" />
									
									
								</groupbox>	
								</vbox>
							</hbox>
						</groupbox>
						
						
					</tabpanel>
					<tabpanel>					
						<groupbox flex="1">	
							<caption label="买卖设置"/>
							
							<vbox>					
								<checkbox label="自动买卖" checked="false" class="cfg" id="botcfg.shop.Enable"/>
								<hbox>		
									<label value="包裹内最大" style=""/>
									<textbox class="cfg" id="botcfg.shop.cfg.HPCount" multiline="false" rows="1" width="50px" type="number" hidespinbuttons="true"/>
									<label value="红药" style=""/>	
								</hbox>
								<hbox>		
									<label value="包裹内最大" style=""/>
									<textbox class="cfg" id="botcfg.shop.cfg.MPCount" multiline="false" rows="1" width="50px" type="number" hidespinbuttons="true"/>
									<label value="蓝药" style=""/>	
								</hbox>
								<hbox>		
									<label value="强化加" style=""/>
									<textbox class="cfg" id="botcfg.shop.cfg.intensify" multiline="false" rows="1" width="50px" type="number" hidespinbuttons="true"/>
									<label value="及以上的装备不卖" style=""/>	
								</hbox>
								<hbox>		
									<label value="加" style=""/>
									<textbox class="cfg" id="botcfg.shop.cfg.q_equip_steplv" multiline="false" rows="1" width="50px" type="number" hidespinbuttons="true"/>
									<label value="阶及以上的装备不卖" style=""/>	
								</hbox>
								<hbox>		
									<label value="幸运加" style=""/>
									<textbox class="cfg" id="botcfg.shop.cfg.luck" multiline="false" rows="1" width="50px" type="number" hidespinbuttons="true"/>
									<label value="及以上的装备不卖" style=""/>	
								</hbox>
								<hbox>		
									<label value="追加等级" style=""/>
									<textbox class="cfg" id="botcfg.shop.cfg.addAttributLevel" multiline="false" rows="1" width="50px" type="number" hidespinbuttons="true"/>
									<label value="及以上装备不卖" style=""/>	
								</hbox>
								<hbox>		
									<label value="卓越" style=""/>
									<textbox class="cfg" id="botcfg.shop.cfg.q_remarkable" multiline="false" rows="1" width="50px" type="number" hidespinbuttons="true"/>
									<label value="及以上装备不卖" style=""/>	
								</hbox>
								<checkbox label="只保留角色职业的装备(如果选择,那么只要不符合角色职业的无论品质都会卖出)" checked="false" class="cfg" id="botcfg.shop.cfg.onlyforme"/>
								<hbox>		
									<label value="品质" style=""/>
									<menulist  id="botcfg.shop.cfg.q_quality_lv" style="margin-top:-3px" class="cfg">
										<menupopup>
											<menuitem label="白色" value="0"/>
											<menuitem label="绿色" value="1"/>
											<menuitem label="黄色" value="2"/>
											<menuitem label="蓝色" value="3"/>
										</menupopup>
									</menulist>
									<label value="及以上装备不卖" style=""/>	
								</hbox>
								
							</vbox>
						</groupbox>
					</tabpanel>
					<tabpanel>
						
			
						<groupbox flex="1">	
							<caption label="BOSS打宝"/>
							<vbox flex="1">
								<checkbox label="自动打野外和中立BOSS" checked="false" class="cfg" id="botcfg.boss.Enable"/>
								<groupbox  id="botcfg.boss.cfg.bosslist" class="cfg">	
									<box>
									<checkbox label="黄金美人鱼" checked="false"/>
									<checkbox label="黄金斗士" checked="false"/>
									<checkbox label="黄金火龙王" checked="false"/>
									<checkbox label="黄金巫师王" checked="false"/>
									<checkbox label="黄金破坏骑士" checked="false"/>									
									</box>
									<box>									
									<checkbox label="黄金恶灵王" checked="false"/>
									<checkbox label="黄金灵魔法师" checked="false"/>
									<checkbox label="黄金复仇之焰" checked="false"/>
									<checkbox label="黄金石像巨鬼" checked="false"/>
									<checkbox label="黄金污浊之王" checked="false"/>
									</box>
									<box>									
									<checkbox label="黄金魔神" checked="false"/>
									<checkbox label="魔王巴洛克" checked="false"/>
									<checkbox label="海魔希特拉" checked="false"/>
									<checkbox label="魔王扎坎" checked="false"/>
									<checkbox label="炽焰魔" checked="false"/>
									</box>
									<box>		
									<checkbox label="天魔菲尼斯" checked="false"/>

									</box>
								</groupbox>
							
							</vbox>
						</groupbox>
						
						
					</tabpanel>
				  </tabpanels>
				</tabbox>
				<hbox flex="1">
					
						<button label="保存" oncommand="simple.onCfgSave()" />
				
						<button label="关闭" oncommand="simple.onCfgCancel()" />
					
				</hbox>
				
					
			</vbox>
		</panel>
		<panel   id="infodlg"    backdrag="true" noautohide="true" titlebar="normal" close="true" level="parent" label="日志" >			
			<listbox  id="LogList" rows="10" flex="1" >				 
			</listbox>
		</panel>
		<panel   id="logindlg"   noautohide="true" titlebar="normal" close="false" level="parent" label="大天使女神经" style="width:400px;height:150px" >		
			<tabbox id="myTabList" selectedIndex="0">
			  <tabs>
				<tab label="登陆"/>
				<tab label="注册"/>
				<tab label="充值"/>
				
			  </tabs>
			  <tabpanels>
				
				<tabpanel>
					<vbox flex="1" >
						<hbox style="margin-bottom:15px" >	
							<vbox flex="1">
							<label value="用户名"  style="margin-bottom:20px" />
							<label value="密码" />
							</vbox>
							<vbox flex="1">
							<textbox id="username" multiline="false" rows="1" width="200px" hidespinbuttons="true"  style="margin-bottom:15px"/>		
							<textbox id="password" multiline="false" rows="1" width="200px" hidespinbuttons="true" type="password"/>				
							</vbox>
												
						</hbox>	
						<hbox flex="1" style="">
						<checkbox label="禁止自动登陆" checked="false" id="disableAutoLogin"  />
						<checkbox label="记住帐号密码(请不要在公共场合使用)" checked="false" id="remeberps" />
						</hbox>	
						<button label="登陆" oncommand="simple.onLogin()" style="margin-top:10px;padding-top:8px;padding-bottom:8px"  />
						<hbox flex="1" style="margin-top:15px">
						<html:a href="#" style="text-decoration: underline;color:#901190" onclick="return simple.shellExe('http://www.5dqj.com/')">官方网站</html:a>
						<html:a href="#" style="text-decoration: underline;color:#111190;margin-left:10px" onclick="return simple.shellExe('http://www.5dqj.com/zxgk.html')"><html:img border="0" src="chrome://simple/content/buy.png"></html:img></html:a>
						<html:a href="#" style="text-decoration: underline;color:#c01020;margin-left:10px" onclick="return simple.shellExe('http://wpa.qq.com/msgrd?uin=2573872985')"><html:img border="0" src="chrome://simple/content/qq.png"></html:img></html:a>
						<html:a href="#" style="text-decoration: underline;color:#111190;margin-left:10px" onclick="return simple.shellExe('http://shang.qq.com/wpa/qunwpa?idkey=c4107a5086e3c552b5c973a194620b2a06180afad268dca50ac1745413b7855d')"><html:img border="0" src="chrome://simple/content/group.png"></html:img></html:a>
						</hbox>
						
					
					</vbox>
				
				</tabpanel>
				<tabpanel>
					<vbox flex="1" >
						<hbox style="margin-bottom:15px" >	
							<vbox flex="1">
							<label value="用户名"  style="margin-bottom:20px" />
							<label value="密码" style="margin-bottom:20px"  />
							<label value="再输入密码" style="margin-bottom:20px"  />
							<label value="超级密码" />
							</vbox>
							<vbox flex="1">
							<textbox id="reg_username" multiline="false" rows="1" width="200px" hidespinbuttons="true"  style="margin-bottom:15px"/>		
							<textbox id="reg_password" multiline="false" rows="1" width="200px" hidespinbuttons="true" type="password" style="margin-bottom:15px"/>				
							<textbox id="reg_password2" multiline="false" rows="1" width="200px" hidespinbuttons="true" type="password" style="margin-bottom:15px"/>		
							<textbox id="reg_superpassword" multiline="false" rows="1" width="200px" hidespinbuttons="true" type="password"/>	
							
							</vbox>
												
						</hbox>	
						<label value="填写超级密码，可向客服寻回你的帐号" style="text-align:center;margin-bottom:10px"/>
						
						<button label="注册" oncommand="simple.onReg()" />
						
						
					
					</vbox>
				</tabpanel>
				<tabpanel>
					<vbox flex="1" >
						<hbox style="" >	
							<vbox flex="1">
							<label value="用户名"  style="margin-bottom:20px" />
							<label value="充值卡号" style="margin-bottom:20px"  />
							<label value="充值卡密码" style="margin-bottom:20px"  />
							<label value="亲友码" style="margin-bottom:20px"  />
							
							</vbox>
							<vbox flex="1">
							<textbox id="recharge_username" multiline="false" rows="1" width="200px" hidespinbuttons="true"  style="margin-bottom:15px"/>		
							<textbox id="recharge_cardid" multiline="false" rows="1" width="200px" hidespinbuttons="true"  style="margin-bottom:15px"/>				
							<textbox id="recharge_cardps" multiline="false" rows="1" width="200px" hidespinbuttons="true"  style="margin-bottom:15px"/>		
							<textbox id="recharge_code" multiline="false" rows="1" width="200px" hidespinbuttons="true" />	
							
							</vbox>
												
						</hbox>	
						<checkbox label="亲友码无效也充值" checked="true" id="recharge_force" style="margin-bottom:10px"/>
						
						
						<button label="充值" oncommand="simple.onRecharge()" />
						
						
					
					</vbox>
				</tabpanel>
			  </tabpanels>
			</tabbox>
			
			<label value="" id="logintip" style="text-align:center" />
			
			
			
			
			
		</panel>
		<panel   id="autologinset"   noautohide="true" titlebar="normal" close="true" level="parent" label="自动登陆设置" style="width:300px;height:150px" >		
			<checkbox label="是否自动登陆" checked="false" id="autologinset.enable" class="cfg" />
			<hbox style="margin-bottom:15px" >	
				<vbox flex="1">
				<label value="游戏用户名"  style="margin-bottom:20px" />
				<label value="游戏密码" />
				</vbox>
				<vbox flex="1">
				<textbox id="autologinset.user" multiline="false" rows="1" width="200px" hidespinbuttons="true"  style="margin-bottom:15px"  class="cfg"/>		
				<textbox id="autologinset.pass" multiline="false" rows="1" width="200px" hidespinbuttons="true"  class="cfg" type="password" />				
				</vbox>
									
			</hbox>	
			<hbox>		
				<label value="游戏运营商:" style=""/>
				<menulist  id="autologinset.agent" style="margin-top:-3px"  class="cfg">
				<menupopup>
					<menuitem label="37玩" value="0"/>
					<menuitem label="多玩" value="1"/>
					<menuitem label="360" value="2"/>
					<menuitem label="6711" value="3"/>					
					<menuitem label="百度" value="4"/>
					<menuitem label="搜狗" value="5"/>
					<menuitem label="盛大易乐玩" value="6"/>
					<menuitem label="金山猎豹" value="7"/>
					<!--<menuitem label="顺网" value="8"/>-->
					<menuitem label="迅雷" value="9"/>
					<menuitem label="新浪" value="10"/>
					<menuitem label="凤凰网" value="11"/>
					
					
				</menupopup>
				</menulist>
				<label value="服务器" style=""/>
				<textbox id="autologinset.serverid" multiline="false" rows="1" width="50px" type="number" hidespinbuttons="true"  class="cfg"/>
				
			</hbox>
			<button label="保存" oncommand="simple.SaveAutoLogin()" />
			<button label="关闭" oncommand="simple.CancelAutoLogin()" />
			
		</panel>
	</hbox>
	
	<statusbar>		
		<statusbarpanel label="暂无信息" id="GameInfo" flex="1"/>
	</statusbar>
	

	
	

 
	
	

</window>
	
